// HighlightedTextSet.cpp : implementation file
//

#include "stdafx.h"
#include "ex30a.h"
#include "HighlightedTextSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHighlightedTextSet

IMPLEMENT_DYNAMIC(CHighlightedTextSet, CDaoRecordset)

CHighlightedTextSet::CHighlightedTextSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CHighlightedTextSet)
	m_nFirstChar = 0;
	m_nLastChar = 0;
	m_strNote = _T("");
	m_nPageNumber = 0;
	m_nUserID = 0;
	m_nFields = 5;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CHighlightedTextSet::GetDefaultDBName()
{
	return _T("E:\\Programación Enero 98\\Proyectos\\ITBLibrary\\Debug\\ITBLibrary.mdb");
}

CString CHighlightedTextSet::GetDefaultSQL()
{
	return _T("[HighlightedText]");
}

void CHighlightedTextSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CHighlightedTextSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[FirstChar]"), m_nFirstChar);
	DFX_Long(pFX, _T("[LastChar]"), m_nLastChar);
	DFX_Text(pFX, _T("[Note]"), m_strNote);
	DFX_Long(pFX, _T("[PageNumber]"), m_nPageNumber);
	DFX_Long(pFX, _T("[UserID]"), m_nUserID);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CHighlightedTextSet diagnostics

#ifdef _DEBUG
void CHighlightedTextSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CHighlightedTextSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
